Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class TaskCommand<T>

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand, Command

Direct Known Subclasses:
  ActivateTaskCommand, AddTaskCommand, ClaimNextAvailableTaskCommand, ClaimTaskCommand, CompleteTaskCommand, DelegateTaskCommand, ExitTaskCommand, FailTaskCommand, ForwardTaskCommand, NominateTaskCommand, ReleaseTaskCommand, ResumeTaskCommand, SkipTaskCommand, StartTaskCommand, StopTaskCommand, SuspendTaskCommand

    public abstract class TaskCommand<T>

extends Object
implements org.drools.core.command.impl.GenericCommand

See Also:
  Serialized Form

Field Summary
`protected List<String>` | `groupsIds`
`protected String` | `targetEntityId`
`protected long` | `taskId`
`protected String` | `userId`

Constructor Summary
`TaskCommand()`

Method Summary
`List<String>` | `getGroupsIds()`
`String` | `getTargetEntityId()`
`long` | `getTaskId()`
`String` | `getUserId()`
`void` | `setGroupsIds(List<String> groupsIds)`
`void` | `setTargetEntityId(String targetEntityId)`
`void` | `setTaskId(long taskId)`
`void` | `setUserId(String userId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.command.impl.GenericCommand
`execute`

Field Detail

### taskId

    protected long taskId

### userId

    protected String userId

### groupsIds

    protected List<String> groupsIds

### targetEntityId

    protected String targetEntityId

Constructor Detail

### TaskCommand

    public TaskCommand()

Method Detail

### getTaskId

    public long getTaskId()

### setTaskId

    public void setTaskId(long taskId)

### getUserId

    public String getUserId()

### setUserId

    public void setUserId(String userId)

### getGroupsIds

    public List<String> getGroupsIds()

### setGroupsIds

    public void setGroupsIds(List<String> groupsIds)

### getTargetEntityId

    public String getTargetEntityId()

### setTargetEntityId

    public void setTargetEntityId(String targetEntityId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.